Subject: Re: [PATCH 7/7] Add handler for SVN dump

From: Jonathan Nieder <[email-masked]>
Date: Sun, 30 May 2010 03:59:37 -0500

Ramkumar Ramachandra wrote:

> Expose an API to parse an SVN dump created with `svnadmin dump` and
> emit a fast-import stream using fast_export and repo_tree. This is a
> temporary workaround: it will be replaced with a client that
> communicates live with a remote SVN server in future.

Hmm.  I suspect the svndump-to-fastimport converter might be useful as
a sort of swiss army knife even after remote-svn moves on to use
the ra lib.  What would you think about putting a main() function to
build the standalone program under contrib/fast-import?

I can write a patch for it for next round if you like the idea.

Jonathan